Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.outbound.batches.add({
batchId: "<id>",
communicationRequest: {
referenceId: "12345",
target: "512-555-1234",
requestVariables: {
},
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.outbound.batches.add(batch_id="<id>", communication_request={
"reference_id": "12345",
"target": "512-555-1234",
"request_variables": {
},
})
# Handle response
print(res)curl --request POST \
--url https://api.syllable.cloud/api/v1/outbound/batches/{batch_id}/requests \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"reference_id": "<string>",
"target": "<string>",
"request_variables": {}
}
'const options = {
method: 'POST',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reference_id: '<string>', target: '<string>', request_variables: {}})
};
fetch('https://api.syllable.cloud/api/v1/outbound/batches/{batch_id}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}outbound.batches
Create Outbound Communication Request
POST
/
api
/
v1
/
outbound
/
batches
/
{batch_id}
/
requests
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.outbound.batches.add({
batchId: "<id>",
communicationRequest: {
referenceId: "12345",
target: "512-555-1234",
requestVariables: {
},
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.outbound.batches.add(batch_id="<id>", communication_request={
"reference_id": "12345",
"target": "512-555-1234",
"request_variables": {
},
})
# Handle response
print(res)Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I

